Summary: A DMAP client and server library
Name: libdmapsharing
Version: 2.9.42
Release: 1%{?dist}
License: LGPLv2+
URL: http://www.flyn.org/projects/libdmapsharing/
Source: http://www.flyn.org/projects/libdmapsharing/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: pkgconfig, glib2-devel, libsoup-devel >= 2.32
BuildRequires: gdk-pixbuf2-devel, gstreamer1-plugins-base-devel
BuildRequires: pkgconfig(avahi-client) pkgconfig(avahi-glib)
BuildRequires: vala libgee-devel

%description 
This package implements the DMAP protocols. It includes support for DAAP and DPAP.

%package devel
Summary: Libraries/include files for libdmapsharing
Requires: %{name} = %{version}-%{release}
Provides: libdmapsharing-vala = %{version}-%{release}

%description devel
This package contains the libraries, include files, and other resources needed for developing 
applications using libdmapsharing.

%prep
%autosetup

%build
%configure --disable-static --disable-tests --disable-check
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/libdmapsharing-3.0.la

%files 
%license COPYING
%doc AUTHORS ChangeLog README
%{_libdir}/libdmapsharing-3.0.so.*

%files devel
%{_includedir}/libdmapsharing-3.0/
%{_libdir}/pkgconfig/libdmapsharing-3.0.pc
%{_libdir}/libdmapsharing-3.0.so
%{_libdir}/girepository-1.0/DMAP-3.0.typelib
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/libdmapsharing-3.0.vapi
%{_datadir}/gtk-doc/html/libdmapsharing-3.0
%{_datadir}/gir-1.0/DMAP-3.0.gir

%changelog
* Fri Dec 22 2023 Upgrade Robot <upbot@opencloudos.org> - 2.9.42-1
- Upgrade to version 2.9.42

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.41-5
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.9.41-4
- Rebuilt for gstreamer1-plugins-base 1.22.4

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.41-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.9.41-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 7 2022 Wang Guodong <gordonwwang@tencent.com> - 2.9.41-1
- package init.
